%global pkg_name hslogger

%global common_summary Haskell %{pkg_name} library

%global common_description A logging framework for Haskell

%global ghc_pkg_deps ghc-mtl-devel,ghc-network-devel

%bcond_without shared

# debuginfo is not useful for ghc
%global debug_package %{nil}

Name:           ghc-%{pkg_name}
Version:        1.1.0
Release:        3%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha
BuildRequires:  ghc, ghc-doc, ghc-prof
BuildRequires:  ghc-rpm-macros >= 0.7.0
%{?ghc_pkg_deps:BuildRequires:  %{ghc_pkg_deps}, %(echo %{ghc_pkg_deps} | sed -e "s/\(ghc-[^, ]\+\)-devel/\1-doc,\1-prof/g")}

%description
%{common_description}
%if %{with shared}
This package provides the shared library.
%endif


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
rm -rf $RPM_BUILD_ROOT
%ghc_lib_install
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
install -p -m 644 COPYING ${RPM_BUILD_ROOT}%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT


%{?ghc_lib_package}


%changelog
* Fri Sep 3 2010 Lakshmi Narasimhan <lakshminaras2002@gmail.com> - 1.1.0-3
- Modified the way COPYING is put into the package, using mkdir and install commands
- Added explicit permissions in install command as the COPYING file in package had execute permissions

* Wed Sep 1 2010 Lakshmi Narasimhan <lakshminaras2002@gmail.com> - 1.1.0-2
- Added COPYING to the list of files to be included in the doc folder.
- The presence of doc directive wipes out COPYRIGHT from BUILD directory. COPYRIGHT would have been copied during cabal install. Hence it has to be included explicitly in .files. If this problem was not there, only COPYING need to put.

* Thu Aug 26 2010 Lakshmi Narasimhan <lakshminaras2002@gmail.com> - 1.1.0-1
- source package updated from 1.0.10 to 1.1.0

* Tue Aug 24 2010 Lakshmi Narasimhan <lakshminaras2002@gmail.com> - 1.0.10-3
- updated using cabal2spec-0.22.2 and ghc-rpm-macros-0.8.1
- corrected LICENSE string to LGPLv2+

* Sat Jul  3 2010 Lakshmi Narasimhan <lakshminaras2002@gmail.com> - 1.0.10-2
- updated using cabal2spec-0.22.1
- Updated to use ghc_lib_package, ghc_lib_build, ghc_lib_install macros instead of cabal macros

* Tue May 25 2010 Lakshmi Narasimhan <lakshminaras2002@gmail.com> - 1.0.10-1
- initial packaging for Fedora automatically generated by cabal2spec-0.21.3
